Bug 1121687 - [GSS] (6.4.0) Allow QueueControlImpl.removeMessage(long) to operate on scheduled messages
Summary: [GSS] (6.4.0) Allow QueueControlImpl.removeMessage(long) to operate on schedu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR1
: EAP 6.4.0
Assignee: Justin Bertram
QA Contact: Miroslav Novak
URL:
Whiteboard:
Depends On:
Blocks: 1132168 1132173
TreeView+ depends on / blocked
 
Reported: 2014-07-21 15:20 UTC by Justin Bertram
Modified: 2019-08-19 12:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1132173 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1367 Major Closed Allow QueueControlImpl.removeMessage(long) to operate on scheduled messages 2014-08-24 10:58:13 UTC

Description Justin Bertram 2014-07-21 15:20:49 UTC
This is a clear bug identified in the community which prevents the targeted removal of scheduled message by an administrator.

Comment 1 Justin Bertram 2014-07-21 15:23:19 UTC
This was fixed on the 2.4.x branch of HornetQ via commit b1c339d1bddab402ffb49402a5e1ea8d1a37927c.

Comment 2 JBoss JIRA Server 2014-07-21 15:45:04 UTC
Justin Bertram <jbertram@redhat.com> updated the status of jira HORNETQ-1367 to Resolved

Comment 3 JBoss JIRA Server 2014-07-21 16:37:00 UTC
Clebert Suconic <clebert.suconic@jboss.com> updated the status of jira HORNETQ-1367 to Closed

Comment 4 Justin Bertram 2014-07-22 19:21:22 UTC
This was fixed on the 2.3.x branch of HornetQ via commit ea2091e3ba214b267224f4acb4b08e16c092ec22.

Comment 5 Kabir Khan 2014-08-24 10:58:08 UTC
Appears to be fixed by HQ upgrade to 2.3.21 https://bugzilla.redhat.com/show_bug.cgi?id=1132168. Setting to MODIFIED.

Comment 6 Miroslav Novak 2014-09-18 10:36:19 UTC
Verified in EAP 6.4.0.DR1.


Note You need to log in before you can comment on or make changes to this bug.